echo Building curses.js

echo Removing folders
rm -rf out/*
rm -rf dist/*
rm -rf demos/*

echo Copy BMP files in demos/ folder
cp *.bmp demos/

echo Copy files in dist/ folder
cp *.bmp dist/
cp PDCurses-3.5/curses.h dist/
cp PDCurses-3.5/term.h dist/

echo
echo BUILDING pdcurses/
echo ------------------

# this should recurse -.-
for I in PDCurses-3.5/pdcurses/*.c; do
	echo Building $I 
	emcc -O $I -o out/$(basename -s .c $I).bc -I PDCurses-3.5/ -I PDCurses-3.5/pdcurses/
	PDCURSES_BINARIES="${PDCURSES_BINARIES} out/$(basename -s .c $I).bc"
done
echo "binary list: $PDCURSES_BINARIES "


echo
echo BUILDING sdl2/
echo ---------------
for I in PDCurses-3.5/sdl2/*.c; do 
	echo Building $I
	emcc -O PDCurses-3.5/sdl2/$(basename $I) -o out/$(basename -s .c $I).bc -I ./ -I PDCurses-3.5/ -I PDCurses-3.5/pdcurses/ -I PDCurses-3.5/sdl2/
	PDCURSES_BINARIES="$PDCURSES_BINARIES out/$(basename -s .c $I).bc"
done

echo
echo Building library using...
echo $PDCURSES_BINARIES
emcc -O $PDCURSES_BINARIES -o dist/libcurses.o

echo
echo BUILDING demos/
echo ---------------
for I in PDCurses-3.5/demos/*.c; do
	echo Building $I
	emcc -O PDCurses-3.5/demos/$(basename $I) -o out/$(basename -s .c $I).bc -I PDCurses-3.5/ -I PDCurses-3.5/pdcurses/ -I PDCurses-3.5/sdl2/ -I PDCurses-3.5/demos/
	cd demos/
	emcc -s BUILD_AS_WORKER=1 -s USE_SDL=2 --use-preload-plugins -s ASYNCIFY=1 --emrun -O3 ../dist/libcurses.o ../out/$(basename -s .c $I).bc -o $(basename -s .c $I).html --preload-file ./pdcfont.bmp --preload-file ./pdcicon.bmp
	cd ..
done	

echo FINISHED
